Bug 63384 - email from RHN fails to properly list all affected machines
email from RHN fails to properly list all affected machines
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Stable
i386 Linux
high Severity high
: ---
: ---
Assigned To: Cristian Gafton
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-13 04:04 EDT by James Manning
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-12 12:33:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Manning 2002-04-13 04:04:25 EDT
To: "redhat@sublogic.com" <redhat@sublogic.com>
Date: Fri, 12 Apr 2002 22:47:31 -0500
From: Red Hat Network Alert <rhn-admin@mail.rhns.redhat.com>
Subject: RHN Errata Alert: GNU C Library bugfix update

(took long enough for a April 4th notice :)

---------------------
Affected Systems List
---------------------
This Errata Advisory may apply to the systems listed below. If you know that
this errata does not apply to a system listed, it might be possible that the
package profile for that server is out of date. In that case you should run
'up2date -p' as root on the system in question to refresh your software profile.

There are 6 affected systems registered in 'Your RHN' (only systems for
which you have explicitly enabled Errata Alerts are shown).

Release   Arch       Profile Name
--------  --------   ------------
7.1       i686       charles-machine
7.1       i686       lvs02.porivo.com
7.2       i686       bp6.sublogic.com
7.1       i686       porivoapp01.porivo.com
7.1       i686       porivoweb02.porivo.com
7.1       i586       lvs01.porivo.com

This translates to these system id's:

https://rhn.redhat.com/network/system/system_details.pxt?sid=1000655504
https://rhn.redhat.com/network/system/system_details.pxt?sid=1000671638
https://rhn.redhat.com/network/system/system_details.pxt?sid=1000675709
https://rhn.redhat.com/network/system/system_details.pxt?sid=1000675793
https://rhn.redhat.com/network/system/system_details.pxt?sid=1000675937
https://rhn.redhat.com/network/system/system_details.pxt?sid=1000676071

Taking the first as an example...

https://rhn.redhat.com/network/system/system_package_list.pxt?sid=1000655504

Specifically, limiting to glibc:

https://rhn.redhat.com/network/system/system_package_list.pxt?
name_search=glibc&sid=1000655504

This shows results of:

glibc-2.2.4-19.3 
glibc-common-2.2.4-19.3 
glibc-devel-2.2.4-19.3 

Which is less than the 2.2.4-24 that the errata would require to be secure, but 
checking out:

https://rhn.redhat.com/network/system/system_errata_list.pxt?sid=1000655504

this says no errata currently apply.

Repeat for the other 5 systems.

Sorry if this is something obvious that I'm missing, but getting an email 8 
days after the fact that finally tells me I have 6 affected systems when RHN 
Web has claimed 0 for the last week (after smooge asked about what was fixed in 
this errata) is scary to me :(
Comment 1 James Manning 2002-04-13 04:06:57 EDT
oh - not that I can see how it would affect this, but in case it matters down 
the road, the RHN package list is true to what's actually on the machine

[root@charles /root]# rpm -qa|grep glibc
glibc-2.2.4-19.3
glibc-common-2.2.4-19.3
glibc-devel-2.2.4-19.3
Comment 2 Cristian Gafton 2002-04-20 02:53:47 EDT
assigned to chip
Comment 3 James Manning 2002-04-21 17:59:51 EDT
interesting - now RHN Web says they're all affected, but now includes a 7th 
machine which appears to have been affected the whole time but didn't get 
tagged as such when the email got sent April 12th - sid=1000675806

almost seems like there's some massive temporal disconnects between the various 
components, but now that Web is tagging all 7 affected systems (the 2 RHL6.2 
machines and skipjack beta seem impervious) correctly, I may have to wait for 
the next errata push.

temporal bugs suck :)
Comment 4 Chip Turner 2002-05-13 13:51:18 EDT
Odd.  Will have to watch to see if this happens again; likely a result of a
cache not being updated.  Please let us know if this occurs again.
Comment 5 James Manning 2002-07-08 15:09:33 EDT
ding - happened again (finally :)

For the recent psmisc errata, the email I got said:

---------------------
Affected Systems List
---------------------
This Errata Advisory may apply to the systems listed below. If you know that
this errata does not apply to a system listed, it might be possible that the
package profile for that server is out of date. In that case you should run
'up2date -p' as root on the system in question to refresh your software profile.

There is 1 affected system registered in 'Your RHN' (only systems for
which you have explicitly enabled Errata Alerts are shown).

Release   Arch       Profile Name
--------  --------   ------------
7.3       i686       laptop


The Red Hat Network Team


but when I login to check

https://rhn.redhat.com/network/errata/systems_affected.pxt?eid=1110

it lists both the "laptop" machine and "work-7.3", both of which are indeed
correct, both have outdated psmisc.  Hence, the email from RHN failed to list
all my affected machines
Comment 6 James Manning 2002-07-08 15:10:51 EDT
ok, this is actually kinda reverse from the original situation, so updating the
summary
Comment 7 Chip Turner 2002-07-09 09:56:34 EDT
is this a bug in the errata mailing code?  pointing to gafton to confirm.  or it
could be the machine was updated when the email was run?  I've not seen any
issues on the website's display of applicable errata and such in a good while
now, so I don't think the problem is there.  likely a result of the mails being
later than when the website is updated?
Comment 8 James Manning 2002-07-19 11:18:08 EDT
RHBA-2002:077-10 and RHSA-2002:134-12 affect 8 and 3 of my RHN machines,
respectively.  Both have an "updated date" of 7/15, 4 days ago.  I didn't get
email about either one :(  I'm just lucky I bothered to check RHN at all :(

The latter one, the mod_ssl errata, is particularly bad since it's a security
update and affects 2 production web servers - ouch.

So which part of RHN should have sent an email about these?  Any way to track
down the guilty party (code-wise)?
Comment 9 Cristian Gafton 2002-08-15 02:06:54 EDT
can you confirm that all your machines have the "receive errata alerts" check
turned on and that they have been entitled all along?
Comment 10 James Manning 2002-08-15 11:19:55 EDT
1) 3 of the 11 machines had indeed had that flag turned off, although since I
never remember toggling that flag myself, I'm not sure how it got that way. 
I'll write that off to PEBCAK.

2) regardless, many errata that applied to the other machines are now not even
triggering emails - is there some intentional time period between the errata
push and the emails sent?  I ask because I tend to check RHN manually a few
times each week and probably catch errata within a few days of the push, and I
can't tell whether the lack of email means that a) I'm updating so fast that by
the time "email send time" gets around (7+ days after it seems?), I don't have
any machines affected so I don't get an email or b) something broken in the
email-sending system.

Note that the original bug report maps to an RHN internal inconsistency (RHN
email says machine has an errata against it, manual package check agrees, RHN
"errata for this machine" lists nothing) but whether that still is true or not
is hard to check w/o emails getting sent.

If there's an intentional time delay between errata push and email, that'd be
great to know since I could then just leave a few isolated machines w/o the
errata and go with that.

I assume the emails are a one-time thing for each errata - meaning I couldn't
downgrade away a recent errata, up2date -p, and wait for an email, right?  Just
curious, since if that can trigger an email I can do more checking.
Comment 11 James Manning 2002-08-16 11:25:28 EDT
ok, here's a great chance to check out the email functionality

RHSA-2002:172-07 - Errata: Updated krb5 packages fix remote buffer overflow

It both affects all 11 machines *and* I have confirmed all 11 machines still
have the "receive notifications" turned on.  At the moment I have gotten no
email from RHN.  When should I be getting this email?  I'm going to leave all 11
machines affected until we either find out why the email's not getting sent or I
actually get the email.  This way I don't have to worry about the errata already
being applied when "scan time" comes to see whether I should get an email or not.

What else can I do to debug what's going on?
Comment 12 James Manning 2002-08-16 11:26:25 EDT
dunno why this bug is staying stuck in NEEDINFO instead of moving to assigned
(maybe a bugzilla bug), but I'm moving it back to assigned now
Comment 13 Josef Komenda 2002-11-12 12:32:42 EST
There were various and sundry problems with our errata mailer code that have
been fixed in the last few months. Have you seen these sort of problems since
October?
Comment 14 James Manning 2002-11-12 12:49:25 EST
it's been working great recently.  Thanks, guys!

Note You need to log in before you can comment on or make changes to this bug.